use sqlite_parser::{
    header::parse_header,
    error::Error,
};
use std::fs::read;

fn main() -> Result<(), Error> {
    // first, read in all the bytes of our file
    // using unwrap to just panic if this fails
    let contents = read("data.sqlite")
        .expect("Failed to read data.sqlite");

    let (page_size, write_format, read_format) = parse_header(&contents[0..100])?;

    println!("page_size {:?}, write_format {:?}, read_format {:?}", page_size, write_format, read_format);

    Ok(())
}
